ActiveRecord::Schema.define do
    #
    # Logs
    #

    create_table :logs do |t|
        t.string :name
        t.string :active, default: false
        t.decimal :estimation
        t.timestamps null: false
    end unless ActiveRecord::Base.connection.table_exists? 'logs'

    #
    # Logs Tags
    #

    create_table :logs_tags do |t|
        t.integer :log_id
        t.integer :tag_id
    end unless ActiveRecord::Base.connection.table_exists? 'logs_tags'

    #
    # Tags
    #

    create_table :tags do |t|
        t.string :tag
        t.timestamps null: false
    end unless ActiveRecord::Base.connection.table_exists? 'tags'

    #
    # Series
    #

    create_table :series do |t|
        t.integer :log_id
        t.timestamp :start, null: true
        t.timestamp :end, null: true
        t.timestamps null: false
    end unless ActiveRecord::Base.connection.table_exists? 'series'
end unless File.exists?(File.join($logtime_path, 'database.db'))