module StatisticsHelper
	class Series < Array
		def sum
			inject(0.0) { |result, el| result + el }
		end

		def mean
			return 0 if size == 0
			avg = sum / size
		end

		alias :average :mean
		alias :avg :mean
	end

	class Statistics
		def initialize
			@statistics = Series.new
		end

		def add(statistic)
			@statistics << statistic
		end

		def count
			@statistics.count
		end

		def mean
			@statistics.mean
		end

		def <<(statistic)
			add(statistic)
		end

		def +(statistics)
			@statistics + statistics.data
		end

		def data
			@statistics
		end

		alias :average :mean
		alias :avg :mean
	end
end