require_relative '../config/initialisation'

# require models
models = File.expand_path(File.join('..', 'models'), __FILE__)
if Dir.exists?(models)
    Dir.entries(models).each do |file|
        require File.join(models, file) if file =~ /^(.*)\.rb$/
    end
end

# require helpers
helpers = File.expand_path(File.join('..', 'helpers'), __FILE__)
if Dir.exists?(helpers)
    Dir.entries(helpers).each do |file|
        next unless file =~ /^(.*)\.rb$/

        require File.join(helpers, file)

        # helper name
        load = file.split '_'
        load = load.each { |h| h.capitalize! }
        load = load.join
        load = load[0..-4] # '.rb'
        load = load + "Helper"

        # load helper
        begin
            send(:include, load.constantize)

            rescue
                ActiveRecord::Base.logger.warn "Failed to load " + load
        end
    end
end

# require commands
commands = File.expand_path(File.join('..', 'commands'), __FILE__)
if Dir.exists?(commands)
    Dir.entries(commands).each do |file|
        require_relative File.join(commands, file) if file =~ /^(.*)\.rb$/
    end
end

# require subcommands
subcommands = File.expand_path(File.join('..', 'subcommands'), __FILE__)
if Dir.exists?(subcommands)
    Dir.entries(subcommands).each do |file|
        require_relative File.join(subcommands, file) if file =~ /^(.*)\.rb$/
    end
end

# Application
class LogTime < Thor

    # commands
    include ::Commands::List
    include ::Commands::Add
    include ::Commands::Rm
    include ::Commands::Start
    include ::Commands::Stop
    include ::Commands::Version

    # subcommands
    desc "series", ""
    subcommand "series", SubCommands::Series

    desc "tags", ""
    subcommand "tags", SubCommands::Tags
end
