#
# Series
#

class Series < ActiveRecord::Base
	belongs_to :log

	def self.start!(options = {})
		attributes = {
			start: Time.now
		}.merge! options

		create(attributes)
	end

	def start!
		self.start = Time.now
		self.save
	end

	def stop!
		self.end = Time.now
		self.save
	end

	def finished?
		!self.end.blank?
	end

	def total_time

		self.start.difference(self.end || Time.now)
	end
end